package ch.sahits.game.tetris.ctrl;

import ch.sahits.game.tetris.event.EGameState;
/**
 * Utility class to check the state.
 * @author andi
 *
 */
public class GameStateUtility {
	/**
	 * Is the state PLAY.
	 * @param currentState
	 * @return
	 */
	public static boolean isPlayState(EGameState currentState) {
		return currentState == EGameState.PLAY;
	}
	/**
	 * Is the state PAUSE.
	 * @param currentState
	 * @return
	 */
	public static boolean isPauseState(EGameState currentState){
		return currentState == EGameState.PAUSE;
	}
	/**
	 * Is the state GAME_OVER.
	 * @param currentState
	 * @return
	 */
	public static boolean isGameOverState(EGameState currentState) {
		return currentState == EGameState.GAME_OVER;
	}
	/**
	 * Is the state MENU.
	 * @param currentState
	 * @return
	 */
	public static boolean isMenuState(EGameState currentState) {
		return currentState == EGameState.MENU;
	}
	/**
	 * Is the state LEVEL_COMPLETED.
	 * @param currentState
	 * @return
	 */
	public static boolean isStateLevelCompleted(EGameState currentState) {
		return currentState == EGameState.LEVEL_COMPLETED;
	}
	/**
	 * Is the state NEXT_LEVEL_INFO
	 * @param currentState
	 * @return
	 */
	public static boolean isStateNextLevelInfo(EGameState currentState) {
		return currentState == EGameState.NEXT_LEVEL_INFO;
	}
	/**
	 * Is the state one of the SET_KEY_ states.
	 * @param currentState
	 * @return
	 */
	public static boolean isKeySetState(EGameState currentState) {
		return currentState == EGameState.SET_KEY_LEFT
				|| currentState == EGameState.SET_KEY_RIGHT
				|| currentState == EGameState.SET_KEY_DOWN
				|| currentState == EGameState.SET_KEY_ROTATE
				|| currentState == EGameState.SET_KEY_PAUSE;
	}
	/**
	 * Is the state either PLAY, PAUSE, LEVEL_COMPLETED, NEXT_LEVEL_INFO or GAME_OVER.
	 * @param currentState
	 * @return
	 */
	public static boolean isGamePlayState(EGameState currentState) {
		return currentState == EGameState.PLAY
				|| currentState == EGameState.PAUSE
				|| currentState == EGameState.LEVEL_COMPLETED
				|| currentState == EGameState.NEXT_LEVEL_INFO
				|| currentState == EGameState.GAME_OVER;
	}
	/**
	 * Toggle between states PLAY and PAUSE
	 * @param currentState
	 * @return
	 */
	public static EGameState togglePause(EGameState currentState){
		if (isPlayState(currentState)){
			return EGameState.PAUSE;
		} else if (isPauseState(currentState)) {
			return EGameState.PLAY;
		} else {
			return currentState;
		}
	}

}
