package ch.sahits.game.tetris.ctrl;
/**
 * Level devinition
 * @author andi
 *
 */
public class Level {
	/** number of lines in the image */
	private final int lines;
	/** number of update cycles before move */
	private final int speed;
	
	private final int level;
	/**
	 * @param lines
	 * @param speed
	 */
	public Level(int lines, int speed, int level) {
		super();
		this.lines = lines;
		this.speed = speed;
		this.level = level;
	}
	
	public Level nextLevel(){
		return new Level(lines+5, (int)(speed*0.8),level+1);
	}

	/**
	 * @return the lines
	 */
	public int getLines() {
		return lines;
	}

	/**
	 * @return the speed
	 */
	public int getSpeed() {
		return speed;
	}

	/**
	 * @return the level
	 */
	public int getLevel() {
		return level;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "Level [lines=" + lines + ", speed=" + speed + ", level="
				+ level + "]";
	}
	
}
