package ch.sahits.game.tetris.model;

import java.awt.Color;
import java.awt.Point;
/**
 * Representation of a moving block.
 * @author andi
 *
 */
public class Block {
	
	private final Color color;
	private Point[] position;
	private Point center;
	/**
	 * @param color
	 * @param position
	 */
	public Block(EBuildingBlocks type, Point[] position, Point center) {
		super();
		this.color = type.getColor();
		this.position = position;
		this.center = center;
	}
	/**
	 * @return the position
	 */
	public Point[] getPosition() {
		return position;
	}
	/**
	 * @param position the position to set
	 */
	public void setPosition(Point[] position) {
		this.position = position;
	}
	/**
	 * @return the color
	 */
	public Color getColor() {
		return color;
	}
	
	public BuildingBlock toBuildingBlock(){
		return new BuildingBlock(this);
	}
	public Point getCenter() {
		return center;
	}
	public void setCenter(Point center) {
		this.center = center;
	}

}
