package ch.sahits.game.tetris.ui;

import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.font.FontRenderContext;
import java.awt.font.GlyphVector;
/**
 * Utility class for rendering.
 * @author andi
 *
 */
public class RenderingUtilities {
	/**
	 * Create a {@link GlyphVector} based on the font with the provides string.
	 * @param graphics
	 * @param s
	 * @param font
	 * @return
	 */
	public static GlyphVector createGlyphVector(Graphics2D graphics, String s,
			Font font) {
		graphics.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
		        RenderingHints.VALUE_ANTIALIAS_ON);
		FontRenderContext frc = graphics.getFontRenderContext();

		GlyphVector gv = font.createGlyphVector(frc, s);
		return gv;
	}

}
